Draft AutoGroup: Difference between revisions

From FreeCAD Documentation
(Preferences...)
Line 56: Line 56:
See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].
See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].


* To also show groups in the layer menu: {{MenuCommand|Edit → Preferences... → Draft → General settings → General Draft Settings → Show groups in layers list drop-down button}}.
* This command can optionally also handle groups: {{MenuCommand|Edit → Preferences... → Draft → General settings → General Draft Settings → Show groups in layers list drop-down button}}.


== Scripting == <!--T:6-->
== Scripting == <!--T:6-->

Revision as of 08:20, 28 July 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Draft AutoGroup

Menu location
Utilities → AutoGroup
Workbenches
Draft, Arch
Default shortcut
None
Introduced in version
0.17
See also
Std Group

Description

The AutoGroup tool sets a selected Std Group, or a related element like an Arch Site, an Arch Building or an Arch BuildingPart, as the active auto-group. When an auto-group is set, new objects will be automatically moved to the indicated group upon being created.

Auto-grouping works with elements created with the Draft and Arch Workbenches.

The layer menu of the Draft Tray

Usage

  1. To use this command at least one Draft Layer must exist.
  2. Optionally select the layer you want make active in the Tree view.
  3. There are several ways to invoke the command:
    • Press the None button in the Draft Tray. This button can look different. If there is an active layer it will show the name of the layer and a layer icon with the ViewLine Color and ViewShape Color of the layer.
    • Select the Utilities → AutoGroup option from the menu.
  4. If you have not yet selected a layer: select a layer from the layer menu that opens.
  5. The button in the Draft Tray is updated.

Notes

Preferences

See also: Preferences Editor and Draft Preferences.

  • This command can optionally also handle groups: Edit → Preferences... → Draft → General settings → General Draft Settings → Show groups in layers list drop-down button.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

If the Draft Workbench is active the FreeCADGui application object has a draftToolBar property. This draftToolBar object has an autogroup property, which contains the name of the active auto-group, or is None if no auto-group is active. To change the active auto-group use the setAutoGroup method of the draftToolBar object. To put objects in the active auto-group use the autogroup method of the Draft module.

# This code only works if the Draft Workbench is active!

import FreeCAD as App
import FreeCADGui as Gui
import Draft

doc = App.newDocument()

polygon1 = Draft.make_polygon(5, radius=1000)
polygon2 = Draft.make_polygon(3, radius=500)
polygon3 = Draft.make_polygon(6, radius=220)

layer = Draft.make_layer()
Gui.draftToolBar.setAutoGroup(layer.Name)

Draft.autogroup(polygon1)
Draft.autogroup(polygon2)
Draft.autogroup(polygon3)

doc.recompute()